import React from 'react';

// Описание типа для пропсов компонента
interface MinutesWordProps {
    minutes: number; // Количество минут
}

const MinutesWord: React.FC<MinutesWordProps> = ({ minutes }) => {
    const getMinuteWord = (minutes: number): string => {
        if (minutes === 1) {
            return "минута";
        }
        if (minutes >= 2 && minutes <= 4) {
            return "минуты";
        }
        return "минут";
    };

    return <>{getMinuteWord(minutes)}</>;
};

export default MinutesWord;
